YUI Flash Component Documentation |
Class AxisSerializer

Package | com.yahoo.yui.charts
Class | public class AxisSerializer

Public Methods

| Method | Defined by
--- | --- | ---
|  | getShortName(input:Object):String [static] | AxisSerializer
|  | getType(shortName:String):Class [static] | AxisSerializer
|  | readAxis(input:Object):IAxis [static] | AxisSerializer
|  | writeAxis(input:IAxis):Object [static] | AxisSerializer

Method detail

getShortName | () | method

`public static function getShortName(input:Object):String` Parameters

| `input:Object`

Returns

| `String`

getType | () | method |

`public static function getType(shortName:String):Class` Parameters

| `shortName:String`

Returns

| `Class`

readAxis | () | method |

`public static function readAxis(input:Object):IAxis` Parameters

| `input:Object`

Returns

| `IAxis`

writeAxis | () | method |

`public static function writeAxis(input:IAxis):Object` Parameters

| `input:IAxis`

Returns

| `Object`